
import java.awt.*;

public class ImageBall extends MovableImage implements Projectile
{
   public ImageBall(String fileName,  int x, int y, int w, int h, Frame world, double dx, double dy )
      {
         super(fileName, x, y, w, h, world, dx, dy);
   }

   public void move()
   {
      setMotion( xMotion(), yMotion() + 0.3 );
      super.move();
   }

   public boolean northOf( Point referencePoint )
   {
      return y() < referencePoint.y;
   }
   public boolean southOf( Point referencePoint )
   {
      return y() > referencePoint.y;
   }
   public boolean westOf ( Point referencePoint )
   {
      return x() < referencePoint.x;
   }
   public boolean eastOf ( Point referencePoint )
   {
      return x() > referencePoint.x;
   }
}
