   import java.awt.*;

    public class MovableImage extends SimpleImage
   {
      private double    dx;
      private double    dy;
   
       public MovableImage( String fileName,  int x, int y, int w, int h, Frame world, double dx, double dy )
      {
         super(fileName, x, y, w, h, world);
         this.dx       = dx;
         this.dy       = dy;
      }
   
       public void setMotion( double ndx, double ndy )
      {
         dx = ndx;
         dy = ndy;
      }
   
       public double    xMotion()   { 
         return dx;
		 }
		 
       public double    yMotion()   { 
         return dy;
		 }
   
   
       public void move() {
//         super.moveTo((int)(region().x + dx),(int)(region().y+ dy));
         super.moveTo((int)(x() + dx),(int)(y() + dy));
      }
      
   } // end MovableImage
