
public class RevisedCannonWorld extends ProjectileWorld
{
   public RevisedCannonWorld()
   {
      super();
      setTitle( "Like the Original CannonWorld" );
   }

   protected Projectile makeProjectile( int startAngle )
   {
      double radianAngle = startAngle * Math.PI / 180.0;
      double sinAngle    = Math.sin( radianAngle );
      double cosAngle    = Math.cos( radianAngle );

      return new CannonBall (20 + (int) (30 * cosAngle),
                             dy(5+(int) (30 * sinAngle)),
                             15, 12 * cosAngle, -12 * sinAngle );
      
   }
}
