   import java.awt.*;

    public class SimpleImage {
      private Rectangle location;
      private Image imageBall;
      private Frame world;
   
    
       public SimpleImage( String fileName,  int x, int y, int w, int h, Frame world )
      {
         imageBall = Toolkit.getDefaultToolkit().getImage( fileName );
			location = new Rectangle(x - w / 2, y - h / 2, w, h);
         this.world = world;
      }
   
       public void paint( Graphics g ) {
         g.drawImage( imageBall, location.x, location.y, 
			             location.width, location.height, world );
      }
   
       protected int       x()         { 
         return location.x + location.width/2; 
      }
   	
       protected int       y()         { 
         return location.y + location.height/2; 
      }
   
       protected Rectangle region()    { 
         return location; 
      }
   
       protected void moveTo( int x, int y ) {
         location.setLocation( x - location.width/2, y - location.height/2 );
      }
   } // end SimpleImage
